Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Trusted Contributor
NitishSubudhi
Posts: 166
Registered: ‎12-09-2011
My Device: 9550,9300,9800,9700,9900,9850,9860

Problem on BBM Integration

Hi All,
I download the zip file from
https://developer.blackberry.com/devzone/appworld/bbm

while I am trying to check the sample app. I am getting this error:

Error Starting BBM: Class
'net.rim.blackberry.api.bbm.platform.SettingsManager' not found

 Please help me to solve this issue.

Thanks & Regards,
Nitish Subudhi

Feel Free To Press The Like Button On The Right Side To Thank The User That Helped You.
Please Mark Posts As Solved If You Found a Solution.
Trusted Contributor
NitishSubudhi
Posts: 166
Registered: ‎12-09-2011
My Device: 9550,9300,9800,9700,9900,9850,9860

Re: Problem on BBM Integration

Please Help me....
I can't figure out the problem..

Thanks & Regards,
Nitish Subudhi

Feel Free To Press The Like Button On The Right Side To Thank The User That Helped You.
Please Mark Posts As Solved If You Found a Solution.
BlackBerry Development Advisor
chadtatro
Posts: 620
Registered: ‎10-01-2009
My Device: Z10

Re: Problem on BBM Integration

Hello,

 

Could you tell us if you're running the sample app on your phone, or in the simulator?


Also, which version of the WebWorks SDK do you have installed?

Chad Tetreault | App Development Consultant | BlackBerry Developer Relations | developer.blackberry.com | @chadtatro
Trusted Contributor
NitishSubudhi
Posts: 166
Registered: ‎12-09-2011
My Device: 9550,9300,9800,9700,9900,9850,9860

Re: Problem on BBM Integration

Hi chadtatro,
I am running the sample app on the simulator.
And I am using BlackBerry WebWorks SDK 2.3.1.5.

Thanks & Regards,
Nitish Subudhi

Feel Free To Press The Like Button On The Right Side To Thank The User That Helped You.
Please Mark Posts As Solved If You Found a Solution.
New Developer
ajibz
Posts: 13
Registered: ‎04-01-2012
My Device: 9630

Re: Problem on BBM Integration

I am having the same problem with the BBM SDK on Eclipse JDE Plugin. How can we debug this error? Trying to run the tictactoe sample application.

BlackBerry Development Advisor
chadtatro
Posts: 620
Registered: ‎10-01-2009
My Device: Z10

Re: Problem on BBM Integration

Hi Nitish, sorry for the delay.

 

Can you tell me exactly which simulator you're using here?

Chad Tetreault | App Development Consultant | BlackBerry Developer Relations | developer.blackberry.com | @chadtatro
New Developer
ajibz
Posts: 13
Registered: ‎04-01-2012
My Device: 9630

Re: Problem on BBM Integration

i think it has to do with the version of BBM you are using and the SDK version. Check the table to see that they match. I am still verifying this but i just found out i was using the wrong SDK for the BBM version on the simulator.

Trusted Contributor
NitishSubudhi
Posts: 166
Registered: ‎12-09-2011
My Device: 9550,9300,9800,9700,9900,9850,9860

Re: Problem on BBM Integration

Hi chadtatro,

Sorry for the Late,
I am using 3 simulator.

1.9800-6.0.0.313
2.9800-6.0.0.570
3.9900-7.0.0.236


I have checked in all the 3 simulator but can't figure out the problem.

Thanks & Regards,
Nitish Subudhi

Feel Free To Press The Like Button On The Right Side To Thank The User That Helped You.
Please Mark Posts As Solved If You Found a Solution.
Developer
Nitish_Pheonix
Posts: 29
Registered: ‎09-17-2012
My Device: 9810, 9800, 9700, 9900, 9300

Re: Problem on BBM Integration

Hi Nitish,

Just upgrade the BBM in your simulator or device.
besure that the BBM version is same or newer then 6.1.0.49.

 

Thanks & Regards,
Himansu

Thanks & Regards,
Nitish_Pheonix

Hit like if the above post is helpful to you.
Please Accept this as Solution if the above post is a solution for you.
BlackBerry Development Advisor
MSohm
Posts: 14,753
Registered: ‎07-09-2008
My Device: BlackBerry Passport

Re: Problem on BBM Integration

You can't upgrade the version of BBM in the simulator, but you can download a new simulator with BBM 6.2 support.

 

BlackBerry Bold 9900 Simulator with BBM 6.2

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker